import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";

export type GiftExchangeResponse = [nickName: string[], item: number[][]]
/** 禮包兌換  */
export class GiftExchange extends NetRequest<string, GiftExchangeResponse> {
	get Method(): string {
		return "gift.exchange";
	}
	constructor(serialNum: string) {
		super();
		this.Data = serialNum;
	}
}

export enum GiftExchangeErrorType {
	PlayerNotFound = 11,
	PlayerDataIssue,
	DatabaseNotFound,
	SerialNumberUnavailable = 14,
	InvalidSerialNumber,
	SerialNumberRedeemed = 16,
	ExchangeFailed,
	SerialNumberNotFound,
	ExceededExchangeLimit = 19,
	Other,
}
